# include "stdio.h"
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
# define output(c) putc(c,yyout)
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;
 
/************************************************************************** 
 *     NNstat -- Internet Statistics Collection Package                   *
 *                                                                        *
 *        Written by: Bob Braden & Annette DeSchon                        *
 *        USC Information Sciences Institute                              *
 *        Marina del Rey, California                                      *
 *        1987-1988                                                       *
 *                                                                        *
 *     NNStat is Public Domain, and may be used for any purpose as long   * 
 *     as this notice is not removed.                                     *
 **************************************************************************/ 
 
         /* LEX grammar for statspy commands */
         
union values yyval;	
extern int  search(), ucsearch();
int sp;

  
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:
;
break;
case 2:
;
break;
case 3:
case 4:
;
break;
case 5:
{
	  if ((sp = search(yytext, RsvdWds)) != -1) 
	  		return(RsvdToken[sp]);
	  if ((sp = search(yytext, class_name)) != -1 ||
	      (sp = search(yytext, class_nick)) != -1 
	  ) {
	  		yyval.int_val = sp; return(CLASS); 
	  };
	  return(IDTOKEN);
	}
break;
case 6:
return(STRING);
break;
case 7:
 return('(');
break;
case 8:
 return(')');
break;
case 9:
 return('{');
break;
case 10:
 return('}');
break;
case 11:
 return(';');
break;
case 12:
 return('?');
break;
case 13:
case 14:
 return(NUMBER) ;
break;
case 15:
   return(IPADDR) ;
break;
case 16:
 return(ETHERA) ;
break;
case 17:
{printf("Wrong input: %s\n", yytext); BEGIN 0;}
break;
case -1:
break;
default:
fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

int yyvstop[] = {
0,

17,
0,

2,
17,
0,

2,
0,

17,
0,

1,
17,
0,

5,
17,
0,

7,
17,
0,

8,
17,
0,

4,
17,
0,

13,
17,
0,

13,
17,
0,

3,
17,
0,

11,
17,
0,

12,
17,
0,

5,
17,
0,

9,
17,
0,

10,
17,
0,

6,
0,

1,
0,

5,
0,

13,
0,

5,
0,

15,
0,

16,
0,

14,
0,
0};
# define YYTYPE char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,4,	1,5,	
20,0,	22,0,	0,0,	4,5,	
4,5,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	1,6,	
1,7,	1,3,	4,5,	1,8,	
0,0,	1,9,	1,10,	0,0,	
0,0,	1,11,	20,0,	1,3,	
0,0,	1,12,	1,13,	1,13,	
1,13,	1,13,	1,13,	1,13,	
1,13,	1,13,	1,13,	1,14,	
1,15,	6,20,	2,7,	0,0,	
1,16,	0,0,	1,17,	2,9,	
2,10,	6,20,	6,0,	2,11,	
0,0,	0,0,	0,0,	0,0,	
2,13,	2,13,	2,13,	2,13,	
2,13,	2,13,	2,13,	2,13,	
2,13,	0,0,	2,15,	0,0,	
0,0,	0,0,	2,16,	0,0,	
0,0,	0,0,	6,21,	0,0,	
6,20,	0,0,	6,20,	0,0,	
0,0,	7,22,	0,0,	0,0,	
6,0,	0,0,	6,20,	0,0,	
6,20,	7,22,	7,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	6,20,	0,0,	
0,0,	0,0,	0,0,	0,0,	
1,18,	6,20,	1,19,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	7,22,	0,0,	
7,22,	0,0,	7,22,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	7,22,	0,0,	
7,22,	0,0,	2,18,	0,0,	
2,19,	0,0,	0,0,	0,0,	
0,0,	0,0,	7,22,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	7,22,	8,0,	8,0,	
8,0,	8,0,	8,0,	8,0,	
8,0,	8,0,	8,0,	8,0,	
8,0,	8,0,	8,0,	8,0,	
8,0,	8,0,	8,0,	8,0,	
8,0,	8,0,	8,0,	8,0,	
8,0,	8,0,	8,0,	8,0,	
8,0,	8,0,	8,0,	8,0,	
8,0,	8,0,	8,0,	8,0,	
8,0,	8,23,	8,0,	8,23,	
8,0,	8,0,	8,0,	0,0,	
0,0,	8,0,	0,0,	8,23,	
8,0,	8,23,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	8,0,	
8,0,	8,0,	8,0,	8,0,	
8,0,	8,0,	8,23,	12,24,	
0,0,	12,25,	12,25,	12,25,	
12,25,	12,25,	12,25,	12,25,	
12,25,	12,25,	12,25,	12,26,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	12,27,	12,27,	
12,27,	12,27,	12,27,	12,27,	
8,0,	8,0,	8,0,	8,0,	
24,30,	8,0,	24,30,	24,30,	
24,30,	24,30,	24,30,	24,30,	
24,30,	24,30,	24,30,	24,30,	
0,0,	12,28,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	12,27,	12,27,	
12,27,	12,27,	12,27,	12,27,	
8,0,	8,0,	8,0,	8,0,	
8,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
13,24,	12,28,	13,25,	13,25,	
13,25,	13,25,	13,25,	13,25,	
13,25,	13,25,	13,25,	13,25,	
13,26,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	13,27,	
13,27,	13,27,	13,27,	13,27,	
13,27,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	13,27,	
13,27,	13,27,	13,27,	13,27,	
13,27,	17,0,	17,0,	17,0,	
17,0,	17,0,	17,0,	17,0,	
17,0,	17,0,	17,0,	17,0,	
17,0,	17,0,	17,0,	17,0,	
17,0,	17,0,	17,0,	17,0,	
17,0,	17,0,	17,0,	17,0,	
17,0,	17,0,	17,0,	17,0,	
17,0,	17,0,	17,0,	17,0,	
17,0,	17,0,	17,0,	17,0,	
0,0,	17,0,	0,0,	17,0,	
17,0,	17,0,	0,0,	0,0,	
17,0,	0,0,	0,0,	17,0,	
17,29,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	17,26,	17,0,	
17,0,	17,0,	17,0,	17,0,	
17,0,	17,29,	26,31,	26,31,	
26,31,	26,31,	26,31,	26,31,	
26,31,	26,31,	26,31,	26,31,	
26,31,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	26,31,	
26,31,	26,31,	26,31,	26,31,	
26,31,	0,0,	0,0,	17,0,	
17,0,	17,0,	17,0,	0,0,	
17,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	26,31,	
26,31,	26,31,	26,31,	26,31,	
26,31,	0,0,	0,0,	17,0,	
17,0,	17,0,	17,0,	17,0,	
23,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	0,0,	
23,0,	0,0,	23,0,	23,0,	
23,0,	0,0,	0,0,	23,0,	
0,0,	0,0,	23,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	23,0,	
27,27,	27,27,	27,27,	27,27,	
27,27,	27,27,	27,27,	27,27,	
27,27,	27,27,	27,26,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	27,27,	27,27,	27,27,	
27,27,	27,27,	27,27,	0,0,	
0,0,	0,0,	23,0,	23,0,	
23,0,	23,0,	0,0,	23,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	27,27,	27,27,	27,27,	
27,27,	27,27,	27,27,	0,0,	
0,0,	0,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	28,32,	
28,32,	28,32,	28,32,	28,32,	
28,32,	28,32,	28,32,	28,32,	
28,32,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
28,32,	28,32,	28,32,	28,32,	
28,32,	28,32,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
28,32,	28,32,	28,32,	28,32,	
28,32,	28,32,	29,0,	29,0,	
29,0,	29,0,	29,0,	29,0,	
29,0,	29,0,	29,0,	29,0,	
29,0,	29,0,	29,0,	29,0,	
29,0,	29,0,	29,0,	29,0,	
29,0,	29,0,	29,0,	29,0,	
29,0,	29,0,	29,0,	29,0,	
29,0,	29,0,	29,0,	29,0,	
29,0,	29,0,	29,0,	29,0,	
29,0,	0,0,	29,0,	0,0,	
29,0,	29,0,	29,0,	0,0,	
0,0,	29,0,	0,0,	0,0,	
29,0,	29,29,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	29,26,	
29,0,	29,0,	29,0,	29,0,	
29,0,	29,0,	29,29,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
29,0,	29,0,	29,0,	29,0,	
0,0,	29,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
29,0,	29,0,	29,0,	29,0,	
29,0,	0,0,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-27,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+6,	0,		yyvstop+3,
yycrank+0,	yysvec+4,	yyvstop+6,
yycrank+-60,	0,		yyvstop+8,
yycrank+-100,	0,		yyvstop+10,
yycrank+-165,	0,		yyvstop+13,
yycrank+0,	0,		yyvstop+16,
yycrank+0,	0,		yyvstop+19,
yycrank+0,	0,		yyvstop+22,
yycrank+185,	0,		yyvstop+25,
yycrank+258,	0,		yyvstop+28,
yycrank+0,	0,		yyvstop+31,
yycrank+0,	0,		yyvstop+34,
yycrank+0,	0,		yyvstop+37,
yycrank+-360,	yysvec+8,	yyvstop+40,
yycrank+0,	0,		yyvstop+43,
yycrank+0,	0,		yyvstop+46,
yycrank+-2,	yysvec+6,	0,	
yycrank+0,	0,		yyvstop+49,
yycrank+-3,	yysvec+7,	yyvstop+51,
yycrank+-487,	yysvec+8,	yyvstop+53,
yycrank+214,	0,		0,	
yycrank+0,	yysvec+13,	yyvstop+55,
yycrank+378,	0,		0,	
yycrank+504,	0,		0,	
yycrank+567,	0,		0,	
yycrank+-669,	yysvec+8,	yyvstop+57,
yycrank+0,	yysvec+24,	yyvstop+59,
yycrank+0,	yysvec+26,	yyvstop+61,
yycrank+0,	yysvec+28,	yyvstop+63,
0,	0,	0};
struct yywork *yytop = yycrank+796;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,011 ,012 ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
011 ,01  ,'"' ,01  ,'$' ,01  ,'&' ,01  ,
01  ,01  ,'&' ,'$' ,'"' ,'$' ,'.' ,01  ,
'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,
'0' ,'0' ,':' ,01  ,01  ,01  ,01  ,01  ,
01  ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'&' ,
'&' ,'&' ,'&' ,'&' ,'&' ,'&' ,'&' ,'&' ,
'&' ,'&' ,'&' ,'&' ,'&' ,'&' ,'&' ,'&' ,
'&' ,'&' ,'&' ,01  ,01  ,01  ,01  ,'$' ,
01  ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'&' ,
'&' ,'&' ,'&' ,'&' ,'&' ,'&' ,'&' ,'&' ,
'&' ,'&' ,'&' ,'&' ,'&' ,'&' ,'&' ,'&' ,
'&' ,'&' ,'&' ,01  ,01  ,01  ,01  ,01  ,
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
#ifndef lint
static	char ncform_sccsid[] = "@(#)ncform 1.1 86/07/08 SMI"; /* from S5R2 1.2 */
#endif

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
yylook(){
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
yyback(p, m)
	int *p;
{
if (p==0) return(0);
while (*p)
	{
	if (*p++ == m)
		return(1);
	}
return(0);
}
	/* the following are only used in the lex library */
yyinput(){
	return(input());
	}
yyoutput(c)
  int c; {
	output(c);
	}
yyunput(c)
   int c; {
	unput(c);
	}
